Subject: Re: [PATCH] README: Git is released under the GPLv2, not just "the GPL"

From: Stefano Lattarini <[email-masked]>
Date: Sat, 15 Dec 2012 20:22:50 +0100

On 12/15/2012 07:35 PM, Junio C Hamano wrote:
> Junio C Hamano <[email-masked]> writes:
> 
>> Stefano Lattarini <[email-masked]> writes:
>>
>>> And this is clearly stressed by Linus in the COPYING file.  So make it
>>> clear in the README as well, to avoid possible misunderstandings.
>>>
>>> Signed-off-by: Stefano Lattarini <[email-masked]>
>>> ---
>>
>> I have nothing against this patch, but I am curious if you saw any
>> misunderstandings in the real world, or if you are merely trying to
>> avoid "possible" ones.
>>
Only playing safe against "possible" misunderstandings, especially
now that the GPLv3 has taken root and has supplanted the v2 in several
projects (e.g., Perl, and obviously most GNU packages).

>>>  README | 7 ++++---
>>>  1 file changed, 4 insertions(+), 3 deletions(-)
>>>
>>> diff --git a/README b/README
>>> index d2690ec..c50e6f4 100644
>>> --- a/README
>>> +++ b/README
>>> @@ -19,9 +19,10 @@ Git is a fast, scalable, distributed revision control system with an
>>>  unusually rich command set that provides both high-level operations
>>>  and full access to internals.
>>>  
>>> -Git is an Open Source project covered by the GNU General Public License.
>>> -It was originally written by Linus Torvalds with help of a group of
>>> -hackers around the net. It is currently maintained by Junio C Hamano.
>>> +Git is an Open Source project covered by the GNU General Public License
>>> +(version 2).  It was originally written by Linus Torvalds with help
>>> +of a group of hackers around the net. It is currently maintained by
>>> +Junio C Hamano.
>>>  
>>>  Please read the file INSTALL for installation instructions.
> 
> The project as a whole is GPLv2, and inclusion of pieces licensed
> under different but compatible terms does not change it, but we may
> want to do this instead.
> 
> I am just one of the "group of hackers around the net" in the
> context of this overview, so I think it is OK to drop that
> "currently maintained by" bit. The audience of this document does
> not have to find out and interact with the maintainer.
> 
> diff --git a/README b/README
> index d2690ec..c365e3c 100644
> --- a/README
> +++ b/README
> @@ -19,9 +19,10 @@ Git is a fast, scalable, distributed revision control system with an
>  unusually rich command set that provides both high-level operations
>  and full access to internals.
>  
> -Git is an Open Source project covered by the GNU General Public License.
> +Git is an Open Source project covered by the GNU General Public
> +License version 2 (some parts of it are under different licenses).
>
Maybe you could be even more explicit ans state "some parts of it are
under different licenses, compatible with the GPLv2".  But maybe this
is just overkill?

>  It was originally written by Linus Torvalds with help of a group of
> -hackers around the net. It is currently maintained by Junio C Hamano.
> +hackers around the net.
>  
>  Please read the file INSTALL for installation instructions.
>  

Thanks,
  Stefano